Update MT4 account enabled property#
About#
Update MT4 account enabled property
PUT /users/current/mt4/provisioning-profiles/:profileId/accounts/:login/enabled
For more information see swagger documentation
Headers#
| Name | Type | Required | Description |
|---|---|---|---|
| auth-token | string | Yes | MetaApi account token. See Authentication & authorization |
Path parameters#
| Name | Type | Required | Description |
|---|---|---|---|
| profileId | string | Yes | Id of the provisioning profile that will be used as the basis for set enabled state this account |
| login | number | Yes | MT4 account login |
Body#
| Name | Type | Required | Description |
|---|---|---|---|
| enabled | boolean | Yes | Enable or disable account |
Response#
- 204 - Successfully change account state
- 400 - Request validation failed. Response schema: Error
Examples#
Example request:
curl -X PUT --header 'Content-Type: application/json' --header 'Accept: application/json' --header 'auth-token: token' -d '{}' 'https://mt-manager-api-v1.new-york.agiliumtrade.ai/users/current/mt4/provisioning-profiles/profileId/accounts/123/enabled'